services:
  wind-tool-standortpruefung:
    build: .
    container_name: wind-tool-standortpruefung
    restart: always
    networks:
      - proxy
    labels:
      # 1. Aktivierung in Traefik
      - "traefik.enable=true"
      # 2. Router-Konfiguration
      - "traefik.http.routers.wind-tool.rule=Host(`wind-tool-standortpruefung.enwelo-serverumgebung.cloud`)"
      - "traefik.http.routers.wind-tool.entrypoints=websecure"
      - "traefik.http.routers.wind-tool.tls.certresolver=le"
      # 3. Port (Express-Server im Container)
      - "traefik.http.services.wind-tool.loadbalancer.server.port=3000"
      # 4. Authentik-Schutz
      - "traefik.http.routers.wind-tool.middlewares=authentik@file"

networks:
  proxy:
    external: true